summaryrefslogtreecommitdiff
path: root/source4/lib/events/autogen.sh
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2008-04-24 17:28:30 -0400
committerSimo Sorce <idra@samba.org>2008-05-14 00:03:01 -0400
commit136f369b23946698c9fcfd217444ddc0614cde85 (patch)
treece83f0dc2e5ad12d0433cae6b8482be67921b7ce /source4/lib/events/autogen.sh
parent0e4ae88d3856869a5bb327ed26e155f22bdffc09 (diff)
downloadsamba-136f369b23946698c9fcfd217444ddc0614cde85.tar.gz
samba-136f369b23946698c9fcfd217444ddc0614cde85.tar.bz2
samba-136f369b23946698c9fcfd217444ddc0614cde85.zip
Make it possible to build libevents standalone.
(This used to be commit 10415bb738d51afdebbfeae976923e086805ae84)
Diffstat (limited to 'source4/lib/events/autogen.sh')
-rwxr-xr-xsource4/lib/events/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/source4/lib/events/autogen.sh b/source4/lib/events/autogen.sh
new file mode 100755
index 0000000000..b13a4b685d
--- /dev/null
+++ b/source4/lib/events/autogen.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+IPATHS="$IPATHS -I lib/talloc -I talloc -I ../talloc"
+autoconf $IPATHS || exit 1
+autoheader $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword events.i # Ignore errors for now
+
+echo "Now run ./configure and then make."
+exit 0
+